Adobe ExtendScript Toolkit

ExtendScript ToolKit

# SoServerInterface_s Struct Reference

`#include <SoCClient.h>`

List of all members.

## Detailed Description

You may call this interface to communicate with ExtendScript.

Parameters:

  | SoServerDumpServer_f | Dump the server to stdout (debugging function)
  | SoServerDumpObject_f | Dump the object to stdout (debugging function)
  | SoServerAddClass_f | Add a new Class of ExtendScript Objects
  | SoServerAddMethod_f | Add a method to an object instance
  | SoServerAddMethods_f | Add methods to an object instance
  | SoServerAddProperty_f | Add a property to an object instance
  | SoServerAddProperties_f | Add properties to an object instance
  | SoServerGetClass_f | Object the class of a live object
  | SoServerGetServer_f | Object the Server for a live object
  | SoServerSetClientData_f | Set data in an object instance
  | SoServerGetClientData_f | Get data from an object instance
  | SoServerEval_f | Call the JavaScript interpreter
  | SoServerTaggedDataInit_f | Initialize tagged data
  | SoServerTaggedDataFree_f | Free tagged data

## Public Attributes

SoServerDumpServer_f | dumpServer
SoServerDumpObject_f | dumpObject
SoServerAddClass_f | addClass
SoServerAddMethod_f | addMethod
SoServerAddMethods_f | addMethods
SoServerAddProperty_f | addProperty
SoServerAddProperties_f | addProperties
SoServerGetClass_f | getClass
SoServerGetServer_f | getServer
SoServerSetClientData_f | setClientData
SoServerGetClientData_f | getClientData
SoServerEval_f | eval
SoServerTaggedDataInit_f | taggedDataInit
SoServerTaggedDataFree_f | taggedDataFree
SoServerCallLiveObject_f | callLiveObject
SoServerGetLiveObject_f | getLiveObject
SoServerPutLiveObject_f | putLiveObject
SoReserved_f | reserved1
SoReserved_f | reserved2
SoReserved_f | reserved3

## Member Data Documentation

SoServerDumpServer_f SoServerInterface_s::dumpServer

SoServerDumpObject_f SoServerInterface_s::dumpObject

SoServerAddClass_f SoServerInterface_s::addClass

Referenced by ESClientInterface().

SoServerAddMethod_f SoServerInterface_s::addMethod

SoServerAddMethods_f SoServerInterface_s::addMethods

Referenced by objectInitialize().

SoServerAddProperty_f SoServerInterface_s::addProperty

SoServerAddProperties_f SoServerInterface_s::addProperties

Referenced by objectInitialize().

SoServerGetClass_f SoServerInterface_s::getClass

SoServerGetServer_f SoServerInterface_s::getServer

SoServerSetClientData_f SoServerInterface_s::setClientData

Referenced by objectFinalize(), and objectInitialize().

SoServerGetClientData_f SoServerInterface_s::getClientData

Referenced by objectFinalize(), objectGet(), objectPut(), objectToString(), and objectValueOf().

SoServerEval_f SoServerInterface_s::eval

SoServerTaggedDataInit_f SoServerInterface_s::taggedDataInit

Referenced by objectInitialize().

SoServerTaggedDataFree_f SoServerInterface_s::taggedDataFree

SoServerCallLiveObject_f SoServerInterface_s::callLiveObject

SoServerGetLiveObject_f SoServerInterface_s::getLiveObject

SoServerPutLiveObject_f SoServerInterface_s::putLiveObject

SoReserved_f SoServerInterface_s::reserved1

SoReserved_f SoServerInterface_s::reserved2

SoReserved_f SoServerInterface_s::reserved3

The documentation for this struct was generated from the following file:

- SoCClient.h

Copyright© 2008 Adobe Systems Incorporated. All rights reserved.

Terms of Use Online Privacy Policy Adobe and accessibility Avoid software piracy Permissions and Trademarks